Accounts
Accounts related endpoints
Authorization
apiKey Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Creates a new Chargeflow account and allows your merchants to log in and use Chargeflow.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/public/2025-04-01/accounts" \ -H "Content-Type: application/json" \ -d '{ "owner_name": "Example Merchants Ltd.", "business_name": "Example Merchants Ltd.", "business_url": "https://example.com", "email": "merchant@example.com" }'{ "id": "66e6ea9ecd94925a9f8060d9", "ext_account_id": "platform_987654321", "created_at": "2024-02-10T12:00:00Z", "owner_name": "Example Merchants Ltd.", "business_name": "Example Merchants Ltd.", "business_url": "https://example.com", "email": "merchant@example.com", "status": "active", "enrichments": { "company_description": "string", "support_email": "user@example.com", "industry": "retail", "product_types": [ "physical_goods" ], "payment_models": [ "subscription" ], "policies": { "terms_and_conditions_url": "http://example.com", "shipping_url": "http://example.com", "cancellation_url": "http://example.com", "refund_url": "http://example.com", "return_url": "http://example.com", "subscription_url": "http://example.com", "gaming_url": "http://example.com" }, "checkout_process": { "pre_checkout_elements": [ "terms_and_conditions" ], "post_checkout_elements": [ "order_confirmation" ] }, "buyer_verifications": { "during_sign_up": [ "email_verification" ], "post_purchase": [ "email_verification" ] } }}Authorization
apiKey Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
Path Parameters
The unique Chargeflow object identifier of the account.
^[0-9a-fA-F]{24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/public/2025-04-01/accounts/66e6ea9ecd94925a9f8060d9"{ "id": "66e6ea9ecd94925a9f8060d9", "ext_account_id": "platform_987654321", "created_at": "2024-02-10T12:00:00Z", "owner_name": "Example Merchants Ltd.", "business_name": "Example Merchants Ltd.", "business_url": "https://example.com", "email": "merchant@example.com", "status": "active", "enrichments": { "company_description": "string", "support_email": "user@example.com", "industry": "retail", "product_types": [ "physical_goods" ], "payment_models": [ "subscription" ], "policies": { "terms_and_conditions_url": "http://example.com", "shipping_url": "http://example.com", "cancellation_url": "http://example.com", "refund_url": "http://example.com", "return_url": "http://example.com", "subscription_url": "http://example.com", "gaming_url": "http://example.com" }, "checkout_process": { "pre_checkout_elements": [ "terms_and_conditions" ], "post_checkout_elements": [ "order_confirmation" ] }, "buyer_verifications": { "during_sign_up": [ "email_verification" ], "post_purchase": [ "email_verification" ] } }}